> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gpt Generate Token

> Endpoint to generate a new access token for a specified GPT instance.
Any previously generated token for the same GPT and organization will be deleted and replaced.

Args:
    genai_app (str): The name of the GPT for which the token is to be generated.

Returns:
    dict: A dictionary containing the generated token, token ID, GPT name, and associated organization ID.



## OpenAPI

````yaml post /api/gpt/{genai_app}/generate_token
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/gpt/{genai_app}/generate_token:
    post:
      tags:
        - GPT
      summary: Gpt Generate Token
      description: >-
        Endpoint to generate a new access token for a specified GPT instance.

        Any previously generated token for the same GPT and organization will be
        deleted and replaced.


        Args:
            genai_app (str): The name of the GPT for which the token is to be generated.

        Returns:
            dict: A dictionary containing the generated token, token ID, GPT name, and associated organization ID.
      operationId: gpt_generate_token
      parameters:
        - name: genai_app
          in: path
          required: true
          schema:
            type: string
            title: Genai App
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````